#!/bin/bash

camera1="/data/voxl-logger/$1/run/mpa/tracking_front_misp_norm/data.csv"
camera2="/data/voxl-logger/$1/run/mpa/tracking_down_misp_norm/data.csv"
imu1="/data/voxl-logger/$1/run/mpa/imu_apps/data.csv"
json="/data/voxl-logger/$1/info.json"

# Check if an argument is provided
if [ ! -f "$camera1" ]; then
    echo "Usage: setup_pre_roll.sh <log directory tag> | [reset]"
    echo "Note: adding 'reset' resets to original log files and does not process them"
    echo ""
    echo "Missing $camera1"
    exit 1
fi
if [ ! -f "$camera2" ]; then
    echo "Usage: setup_pre_roll.sh <log directory tag> | [reset]"
    echo "Note: adding 'reset' resets to original log files and does not process them"
    echo ""
    echo "Missing $camera2"
    exit 1
fi
if [ ! -f "$imu1" ]; then
    echo "Usage: setup_pre_roll.sh <log directory tag> | [reset]"
    echo "Note: adding 'reset' resets to original log files and does not process them"
    echo ""
    echo "Need $imu1"
    exit 1
fi

if [ ! -f "$camera1.orig" ]; then
    echo "Backing up $camera1.orig"
    cp $camera1 "$camera1".orig
else
    cp "$camera1".orig $camera1
fi

if [ ! -f "$camera2.orig" ]; then
    echo "Backing up $camera2.orig"
    cp $camera2 "$camera2".orig
else
    cp "$camera2".orig $camera2
fi

if [ ! -f "$imu1.orig" ]; then
    echo "Backing up $imu1.orig"
    cp $imu1 "$imu1".orig
else
    cp "$imu1".orig $imu1
fi

if [ ! -f "$json.orig" ]; then
    echo "Backing up $json.orig"
    cp $json "$json".orig
else
    cp "$json".orig $json
fi

if [ "$2" == "reset" ]; then
  echo "Restored to original log files!"
  exit 0  
fi

app="preroll.py"
if [ ! -f "./$app" ]; then
    app="/usr/bin/preroll.py"
fi

python3 $app $imu1 $imu1 1001 1 $json
python3 $app $camera1 $camera1 30 0 $json
python3 $app $camera2 $camera2 30 0 $json
